import { createAction } from '@ngrx/store';
export function createFilterTraitActions(actionsGroupKey) {
    const actions = {
        filter: createAction(`${actionsGroupKey} filter`, (props) => ({
            filters: props === null || props === void 0 ? void 0 : props.filters,
            forceLoad: props === null || props === void 0 ? void 0 : props.forceLoad,
            patch: props === null || props === void 0 ? void 0 : props.patch,
        })),
        storeFilter: createAction(`${actionsGroupKey} store filter`, (props) => ({
            filters: props === null || props === void 0 ? void 0 : props.filters,
            patch: props === null || props === void 0 ? void 0 : props.patch,
        })),
    };
    return actions;
}
//# sourceMappingURL=filter.trait.actions.js.map