import { createAction, props } from '@ngrx/store';
export function createMultiSelectionTraitActions(actionsGroupKey) {
    return {
        multiSelect: createAction(`${actionsGroupKey} Select`, props()),
        multiDeselect: createAction(`${actionsGroupKey} Deselect`, props()),
        multiToggleSelect: createAction(`${actionsGroupKey} Toggle Select`, props()),
        toggleSelectAll: createAction(`${actionsGroupKey} Toggle Select All`),
        multiClearSelection: createAction(`${actionsGroupKey} Clear Selection`),
    };
}
//# sourceMappingURL=multi-selection.trait.actions.js.map