export function createSingleSelectionTraitMutators() {
    function select(id, state) {
        return Object.assign(Object.assign({}, state), { selectedId: id });
    }
    function deselect(state) {
        return Object.assign(Object.assign({}, state), { selectedId: undefined });
    }
    function toggleSelect(id, state) {
        return Object.assign(Object.assign({}, state), { selectedId: state.selectedId === id ? undefined : id });
    }
    return {
        select,
        deselect,
        toggleSelect,
    };
}
//# sourceMappingURL=single-selection.trait.mutators.js.map