import { createAction } from '@ngrx/store';
export function createCrudTraitActions(actionsGroupKey) {
    return {
        add: createAction(`${actionsGroupKey} Add`, (...entities) => ({
            entities,
        })),
        remove: createAction(`${actionsGroupKey} Remove`, (...keys) => ({
            keys,
        })),
        update: createAction(`${actionsGroupKey} Update`, (...updates) => ({
            updates,
        })),
        upsert: createAction(`${actionsGroupKey} Upsert`, (...entities) => ({
            entities,
        })),
        removeAll: createAction(`${actionsGroupKey} Remove All`, (predicate) => ({ predicate })),
        clearChanges: createAction(`${actionsGroupKey} Clear Changes`),
    };
}
//# sourceMappingURL=crud.trait.actions.js.map