import { createAction, props } from '@ngrx/store';
export function createLoadEntitiesTraitActions(actionsGroupKey) {
    const actions = {
        fetch: createAction(`${actionsGroupKey} Fetch Entities`),
        fetchSuccess: createAction(`${actionsGroupKey} Fetch Entities Success`, props()),
        fetchFail: createAction(`${actionsGroupKey} Fetch Entities Fail`, props()),
    };
    return actions;
}
//# sourceMappingURL=load-entities.trait.actions.js.map