import { __rest } from "tslib";
export function multiDeselect(id, state) {
    // eslint-disable-next-line @typescript-eslint/no-unused-vars
    const _a = state.selectedIds, _b = id, _value = _a[_b], selectedIds = __rest(_a, [typeof _b === "symbol" ? _b : _b + ""]);
    return Object.assign(Object.assign({}, state), { selectedIds: selectedIds });
}
export function multiSelect(id, state) {
    return Object.assign(Object.assign({}, state), { selectedIds: Object.assign(Object.assign({}, state.selectedIds), { [id]: true }) });
}
export function multiToggleSelect(id, state) {
    const selected = state.selectedIds[id];
    if (selected) {
        return multiDeselect(id, state);
    }
    else {
        return multiSelect(id, state);
    }
}
export function multiClearSelection(state) {
    return Object.assign(Object.assign({}, state), { selectedIds: {} });
}
export function selectTotalSelected(state) {
    return Object.keys(state.selectedIds).length;
}
//# sourceMappingURL=multi-selection.utils.js.map