export function createSingleSelectionTraitSelectors() {
    function selectIdSelected(state) {
        return state.selectedId;
    }
    function selectEntitySelected(state) {
        return (state.selectedId && state.entities[state.selectedId]) || undefined;
    }
    return {
        selectIdSelected,
        selectEntitySelected,
    };
}
//# sourceMappingURL=single-selection.trait.selectors.js.map